<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<style type="text/css">
*:focus{
	outline:none;
}

/*
input:required {
	border: 1px solid blue;
}
*/

input[type="text"]:required{
	background-color:#CFF;
}


label.obligatorio::after 
{
	content:"*";
}

input:valid {
	border: 1px solid green;
}

input:invalid {
	border: 1px solid red;
}

</style>
</head>

<body>
<form>
<label class="obligatorio" for="nombre">Nombre Completo</label>
<input id="nombre" type="text" name="nombre" required>
<label class="obligatorio" for="celectronico"> Correo electronico </label>
<input id="celectronico" type="email" name="correo" required>

<input type="submit" value="enviar">
<input type="reset" value="Limpiar">
<input type="button" value="Para Javascript">
</form>
</body>
</html>
